Package: org.grails.taglib.encoder

## [Java] Class Builder

- org.grails.taglib.encoder.OutputEncodingStackAttributes.Builder

- - ### Constructor Summary

    Constructors
    Constructor and description
    `OutputEncodingStackAttributes.Builder ()`
    `OutputEncodingStackAttributes.Builder (OutputEncodingStackAttributes attributes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Builder` | `allowCreate(boolean allowCreate)`
    `` | `Builder` | `autoSync(boolean autoSync)`
    `` | `OutputEncodingStackAttributes` | `build()`
    `` | `Builder` | `defaultTaglibEncoder(Encoder defaultTaglibEncoder)`
    `` | `Builder` | `expressionEncoder(Encoder expressionEncoder)`
    `` | `Builder` | `inheritPreviousEncoders(boolean inheritPreviousEncoders)`
    `` | `Builder` | `outEncoder(Encoder outEncoder)`
    `` | `Builder` | `outputContext(OutputContext outputContext)`
    `` | `Builder` | `pushTop(boolean pushTop)`
    `` | `Builder` | `replaceOnly(boolean replaceOnly)`
    `` | `Builder` | `staticEncoder(Encoder staticEncoder)`
    `` | `Builder` | `taglibEncoder(Encoder taglibEncoder)`
    `` | `Builder` | `topWriter(java.io.Writer topWriter)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public OutputEncodingStackAttributes.Builder()

    - #### public OutputEncodingStackAttributes.Builder(OutputEncodingStackAttributes attributes)

  - ### Method Detail

    - #### public Builder allowCreate(boolean allowCreate)

    - #### public Builder autoSync(boolean autoSync)

    - #### public OutputEncodingStackAttributes build()

    - #### public Builder defaultTaglibEncoder(Encoder defaultTaglibEncoder)

    - #### public Builder expressionEncoder(Encoder expressionEncoder)

    - #### public Builder inheritPreviousEncoders(boolean inheritPreviousEncoders)

    - #### public Builder outEncoder(Encoder outEncoder)

    - #### public Builder outputContext(OutputContext outputContext)

    - #### public Builder pushTop(boolean pushTop)

    - #### public Builder replaceOnly(boolean replaceOnly)

    - #### public Builder staticEncoder(Encoder staticEncoder)

    - #### public Builder taglibEncoder(Encoder taglibEncoder)

    - #### public Builder topWriter(java.io.Writer topWriter)